Ziett
Docs
Docs
  • API Reference
Docs
Docs
  • API Reference
Meet Ziett
Login
  1. Messages
  • API Docs - Ziett
  • API Reference
    • Overview
    • Messages
      • Send Transactional Message
        POST
      • List Organization Messages
        GET
      • Retrieve Message Details
        GET
    • Campaigns
      • List Organization Campaigns
      • Create Batch Campaign
      • List Campaign Messages
      • Retrieve Campaign Details
  1. Messages

Retrieve Message Details

GET
https://api.ziett.co/c/v1/messages/{message_id}
Last modified:2026-03-22 10:48:32
Fetch the full details of a specific message using its unique identifier. This is useful for verifying delivery status, inspection costs, and identifying the time of delivery or any errors encountered during the process.

Request

Authorization
API Key
Add parameter in header
X-API-KEY
Example:
X-API-KEY: ********************
or
Path Params

Responses

🟢200OK
application/json
Successful Response
Bodyapplication/json

🟠422Parameter Error
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.ziett.co/c/v1/messages/' \
--header 'X-API-KEY: <api-key>'
Response Response Example
200 - Example 1
{
    "id": "string",
    "updated_at": "2019-08-24T14:15:22.123Z",
    "created_at": "2019-08-24T14:15:22.123Z",
    "organization_id": "string",
    "campaign_id": "string",
    "contact_id": "string",
    "sms_remitter_id": "string",
    "sms_remitter": {
        "name": "Ziett"
    },
    "external_id": "string",
    "cost": "3423.23",
    "billing_account_id": "string",
    "channel_type": "SMS",
    "channel_destination": "UNITEL",
    "provider_id": "string",
    "e164_format": "+244990090990",
    "content": "string",
    "trigger_source": "API_CLIENT",
    "error_code": "INVALID_PHONE_NUMBER",
    "is_refunded": true,
    "status": "PENDING",
    "contact": {
        "id": "string",
        "updated_at": "2019-08-24T14:15:22.123Z",
        "created_at": "2019-08-24T14:15:22.123Z",
        "name": "string",
        "email": "user@example.com",
        "e164_format": "+244990090990",
        "organization_id": "string"
    },
    "campaign": {
        "id": "string",
        "updated_at": "2019-08-24T14:15:22.123Z",
        "created_at": "2019-08-24T14:15:22.123Z",
        "name": "string",
        "status": "DRAFT"
    }
}
Modified at 2026-03-22 10:48:32
Previous
List Organization Messages
Next
List Organization Campaigns
Built with